Serious Sam TFE and TSE

Need help with one of the installers?
Post Reply
mank1327

Serious Sam TFE and TSE

Post by mank1327 » Mon Apr 30, 2007 13:51

The game installed with no problems, but it exits after 20-30 seconds. I can start a new game, run around, pick up weapons, shoot, and kill monsters as long as it's done within 20-30 seconds. I also tried doing nothing but waiting at the player spawn point, and the same thing happens. Any ideas?

The exact same thing happens with the First or the Second Encounter.

Here's the info:

Ubuntu 6.10 Edgy
Dell DIM 2400 2.4 GHz
1 GB RAM
ATI Radeon 9250 256 MB
flgrx driver
Loki installers:
- serious.sam.tfe_1.05beta3-english-2.run
- serious.sam.tse_1.07beta1-english-2.run

STUB: load window icon in SeriousSam/MainWindow.cpp, line 153.
STUB: Need SDL invisible window or something in SeriousSam/MainWindow.cpp, line 356.
INFO: "SeriousSam is starting for the first time.
If you experience any problems, please consult
ReadMe file for troubleshooting information."
Xlib: extension "XiG-SUNDRY-NONSTANDARD" missing on display ":0.0".
STUB: Move this to another directory. in Engine/Graphics/ViewPort.cpp, line 189.
STUB: Move this to another directory. in Engine/Graphics/ViewPort.cpp, line 189.
STUB: in SeriousSam/MainWindow.cpp, line 163.
STUB: reload ourself? in SeriousSam/SeriousSam.cpp, line 1633.
STUB: load teaser in SeriousSam/SeriousSam.cpp, line 1646.

glxinfo | grep render
direct rendering: Yes
GLX_ATI_pixel_format_float, GLX_ATI_render_texture
OpenGL renderer string: RADEON 9200 Series DDR Generic

cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.12rc1 (Thu Jun 22 13:55:50 2006 UTC).

Let me know if you need more info. Thanks.

kingron
liflg member
Posts: 158
Joined: Wed Nov 03, 2004 11:14

Post by kingron » Wed May 02, 2007 14:04

do you have all depending libraries installed?
like vorbis, ogg, sdl ....and so on ...

mank1327

Post by mank1327 » Thu May 03, 2007 10:25

Yes, I went through the README.liflg and installed the following:

You need the following package versions to run
the games you install with a LIFLG installer:

glibc >= 2.3.5
SDL >= 1.2.7
SDL_image >= 1.2.4
SDL_mixer >= 1.2.6
SDL_net >= 1.2.5
SDL_ttf >= 2.0.6
ogg >= 1.1
vorbis >= 1.1
libjpeg >= 6.2
libpng >= 1.2
zlib >= 1.2
freetype2 >= 2.1

Using dpkg -l '*foo*' shows:

ii libsdl1.2debia 1.2.10-3ubuntu
ii libsdl-image1. 1.2.5-2
ii libsdl-mixer1. 1.2.6-1.1
ii libsdl-net1.2 1.2.5-7
ii libsdl-ttf2.0- 2.0.8-2
ii libogg0 1.1.3-2ubuntu1
ii libvorbis0a 1.1.2-1ubuntu1
ii zlib1g 1.2.3-13ubuntu
ii libfreetype6 2.2.1-5ubuntu0

That method doesn't show an installation for glibc, but Synaptic says libc6 and libc6-dev are both installed - version 2.4-1ubuntu12.3 for both. I don't know if this is the same thing, but there is no choice for glibc that I can install. Is there another repository I need to enable?

Thanks for checking it out.

kratz00
liflg member
Posts: 1654
Joined: Fri Oct 22, 2004 16:23

Post by kratz00 » Mon May 07, 2007 23:38

no idea, keep in mind this is beta stuff

but you could try:
1. don't use our installer and try the original stuff

http://icculus.org/betas/ssam/
http://icculus.org/updates/ssam/

2. open a bugreport
https://bugzilla.icculus.org/buglist.cg ... m&content=

mank1327

Post by mank1327 » Tue May 08, 2007 2:13

Okay. I did download and unpack the glibc-2.5 package, but didn't compile/install it (I'm a recent convert to GNU/Linux). I'll either research and install the C Library, or try the installers you suggested. Either way, I'll post back with results.

By the way, the Loki installer is nice. I know TFE and TSE are pretty much old games now, but are you going to continue to develop the installers for them?

Thanks for the help.

kratz00
liflg member
Posts: 1654
Joined: Fri Oct 22, 2004 16:23

Post by kratz00 » Tue May 08, 2007 9:42

the installer and the client are two different things

we do not develop the client. icculus did it
but if there is a new release or a bug fix in our installer, there will be a new one of course

jso2897

Post by jso2897 » Thu May 10, 2007 2:46

My experience with the Loki installer for SSFE was good. Ihad a relatively clean and new install of Edgy, and it ran perfect from the beginning. I'll try out SSSE as soon as I can get my hands on a disk. :P

Post Reply